%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/jarcoal/httpmock
Version:                1.3.0

%gometa

%global common_description %{expand:
HTTP mocking for Golang.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        HTTP mocking for Golang

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.0-2
- Rebuilt for loongarch64

* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
